/****************************************************************************/
/*                                                                          */
/*                   Copyright 2003 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : AppNotFunError.java                                      */
/* DESCRIPTION   : Error: applying a non-function                           */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 27th October 2003                                        */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 27th October 2003                                        */
/****************************************************************************/

package bfl.error;

public class AppNotFunError extends Error {

    public String ty;

    public AppNotFunError(String t) {
	ty = t;
    }

    public String message() {
	return "expression has type \"" + ty + "\" which is not a function "
	    + "type, but is applied to an argument";
    } 

}
