/****************************************************************************/
/*                                                                          */
/*                   Copyright 2003 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : IntType.java                                             */
/* DESCRIPTION   : Representation of type int                               */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 28th August 2003                                         */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 27th October 2003                                      */
/****************************************************************************/

package bfl.types;

public class IntType extends Type {

    public String name() {
	return "int";
    }

    public boolean equal(Type t) {
	return (t instanceof IntType);
    }

}
