/****************************************************************************/
/*                                                                          */
/*                   Copyright 2003 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : EnvEntry.java                                            */
/* DESCRIPTION   : Environment entry                                        */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 27th October 2003                                        */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 27th October 2003                                        */
/****************************************************************************/

package bfl.env;

import bfl.node.*;
import bfl.types.*;
import java.io.*;

public class EnvEntry {

    Type type;

    public EnvEntry(Type t) {
	type = t;
    }

    public Type getType() {
	return type;
    }
}
